org.keycloak.authorization.jpa.entities

## Class ResourceEntity

- java.lang.Object
- - org.keycloak.authorization.jpa.entities.ResourceEntity

-     @Entity
      public class ResourceEntity
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Collection<ResourceAttributeEntity>` | `getAttributes()`
    `String` | `getDisplayName()`
    `String` | `getIconUri()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getOwner()`
    `List<PolicyEntity>` | `getPolicies()`
    `String` | `getResourceServer()`
    `List<ScopeEntity>` | `getScopes()`
    `String` | `getType()`
    `Set<String>` | `getUris()`
    `int` | `hashCode()`
    `boolean` | `isOwnerManagedAccess()`
    `void` | `setAttributes(Collection<ResourceAttributeEntity> attributes)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setIconUri(String iconUri)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setOwner(String owner)`
    `void` | `setOwnerManagedAccess(boolean ownerManagedAccess)`
    `void` | `setPolicies(List<PolicyEntity> policies)`
    `void` | `setResourceServer(String resourceServer)`
    `void` | `setType(String type)`
    `void` | `setUris(Set<String> uris)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceEntity

          public ResourceEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### getUris

          public Set<String> getUris()

    - #### setUris

          public void setUris(Set<String> uris)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getScopes

          public List<ScopeEntity> getScopes()

    - #### getIconUri

          public String getIconUri()

    - #### setIconUri

          public void setIconUri(String iconUri)

    - #### getResourceServer

          public String getResourceServer()

    - #### setResourceServer

          public void setResourceServer(String resourceServer)

    - #### getOwner

          public String getOwner()

    - #### setOwner

          public void setOwner(String owner)

    - #### setOwnerManagedAccess

          public void setOwnerManagedAccess(boolean ownerManagedAccess)

    - #### isOwnerManagedAccess

          public boolean isOwnerManagedAccess()

    - #### getPolicies

          public List<PolicyEntity> getPolicies()

    - #### setPolicies

          public void setPolicies(List<PolicyEntity> policies)

    - #### getAttributes

          public Collection<ResourceAttributeEntity> getAttributes()

    - #### setAttributes

          public void setAttributes(Collection<ResourceAttributeEntity> attributes)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.